generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\ProductBundle\Entity\Product
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendProductBundle
    pk_requirement: ~
    fields:
      file:
        label:            Фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       photo
         data_class:     Symfony\Component\HttpFoundation\File\File
      getTitle:
        label:            Назва    
      category:
        label:            Категорія
        addFormOptions:
         required: true
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           title:
             locale_options:
               ru:
                 label : Назва 
               uk:
                 label : Назва   
           description:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               ru:
                 label : Описание
               uk:
                 label : Опис   
           main:
             field_type: ckeditor
             config_name: config_standard  
             locale_options:
               ru:
                 label : Основні характеристики
               uk:
                 label : Основні характеристики         
           tech:
             attr:
                 class: input-xxlarge    
             locale_options:
               ru:
                 label : Технічні характеристики
               uk:
                 label : Технічні характеристики          
           order:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               ru:
                 label : Замовлення
               uk:
                 label : Замовлення                

      label:
        label:            Тип
        formType:         choice
        dbType:           string   
        addFormOptions:
         choices:
           equipment: Лаболаторне обладнання
           reagents: Реагенти для лаболаторних досліджень
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Продукти
            display: [getTitle]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
    filters:
        params:
            display: [category]
    new:
        params:
            title: Новий продукт
            display: [category, file, translations]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ви редагуєте продукт \"%object%\"|{ %object%: Product.getTitle }|"
            display: [category, file, translations]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.getTitle }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
